aux0 = (
    (((g11 - g12) ** 2))
    * ((1.0 + ((2.0 * ((g11 - g12) * (s**2))) + (2.0 * (sp**2)))) ** -2.0)
) + (
    (((g11 + g12) ** 2))
    * ((1.0 + ((2.0 * ((g11 + g12) * (s**2))) + (2.0 * (sp**2)))) ** -2.0)
)
output = 8.0 * ((s**2) * aux0)
